library simple_type;

import 'dart:math';
import 'dart:ui';

import 'package:auto_size_text/auto_size_text.dart';
import 'package:bordered_text/bordered_text.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';
import 'package:flutter/services.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:intl/intl.dart' as intl;
import 'package:logger/logger.dart';
import 'package:simple_animations/simple_animations.dart';
import 'package:simple_code/simple_code.dart';
import 'package:simple_code/simple_code.dart' as sc;
import 'package:time/time.dart';

export 'package:simple_animations/simple_animations.dart';
export 'package:time/time.dart';

part 'src/extensions/bool_extension.dart';
part 'src/extensions/children_widgets_extension.dart';
part 'src/extensions/context_extension.dart';
part 'src/extensions/icon_extension.dart';
part 'src/extensions/image_extension.dart';
part 'src/extensions/iterable_extension.dart';
part 'src/extensions/num_extension.dart';
part 'src/extensions/string_extension.dart';
part 'src/extensions/svg_extension.dart';
part 'src/extensions/text_extension.dart';
part 'src/extensions/text_span_extension.dart';
part 'src/extensions/tween_extension.dart';
part 'src/extensions/widget_extension.dart';
part 'src/simple_code.dart';
part 'src/simple_type.dart';
part 'src/widgets/animation.dart';
part 'src/widgets/tap_animation.dart';
