part of '../simple_type.dart';

class _SimpleCode {
  bool _wsz = false;
  bool _hsz = false;
  bool _sz = false;

  void useWsz() => _clear(wsz: true);

  void useHsz() => _clear(hsz: true);

  void useSz() => _clear(sz: true);

  void _clear({bool sz, bool hsz, bool wsz}) {
    _sz = sz ?? false;
    _hsz = hsz ?? false;
    _wsz = wsz ?? false;
  }

  double _apply(double value) {
    if (value == null || value.isInfinite) return value;
    if (_wsz) return wsz(value);
    if (_hsz) return hsz(value);
    if (_sz) return sz(value);
    return value;
  }
}
